HelpModelEvent
Keywords: javax.help.event.HelpModelEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.event
Class HelpModelEvent

    java.lang.Object
      java.util.EventObject
          javax.help.event.HelpModelEvent

All Implemented Interfaces:
  java.io.Serializable

public class HelpModelEvent
extends java.util.EventObject

Notifies interested parties that a change in a Help Model source has occurred.

See Also:
  Serialized Form

Constructor Summary
`HelpModelEvent(java.lang.Object source, int pos0, int pos1)` Creates a HelpModelEvent for highlighting.
`HelpModelEvent(java.lang.Object source, Map.ID id, java.net.URL url)` Represents a change in the JavaHelp in the current ID or URL.
`HelpModelEvent(java.lang.Object source, Map.ID id, java.net.URL url, java.lang.String historyName, JHelpNavigator navigator)` Represents a change in the JavaHelp in the current ID or URL.

Method Summary
`java.lang.String` | `getHistoryName()` Returns the name of this entry
`Map.ID` | `getID()` Returns the current ID in the HelpModel.
`JHelpNavigator` | `getNavigator()` Returns the navigator of this entry
`int` | `getPos0()`
`int` | `getPos1()`
`java.net.URL` | `getURL()` Returns the current URL in the HelpModel.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HelpModelEvent

    public HelpModelEvent(java.lang.Object source,
                          Map.ID id,
                          java.net.URL url)

  Represents a change in the JavaHelp in the current ID or URL.

Parameters:
  `source` - The source for this event.
  `id` - The ID that has changed. Should be null if URL is specified.
  `url` - The URL that has changed. Should be null if ID is specified.
Throws:
  `java.lang.IllegalArgumentException` - if source is null.
  `java.lang.IllegalArgumentException` - of both ID and URL are null.
See Also:
  `javax.help.JavaHelp`

### HelpModelEvent

    public HelpModelEvent(java.lang.Object source,
                          Map.ID id,
                          java.net.URL url,
                          java.lang.String historyName,
                          JHelpNavigator navigator)

  Represents a change in the JavaHelp in the current ID or URL.

Parameters:
  `source` - The source for this event.
  `id` - The ID that has changed. Should be null if URL is specified.
  `url` - The URL that has changed. Should be null if ID is specified.
  `historyName` - The name of selected entry
  `navigator` - The JHelpNavigator
Throws:
  `java.lang.IllegalArgumentException` - if source is null.
  `java.lang.IllegalArgumentException` - of both ID and URL are null.
See Also:
  `javax.help.JavaHelp`

### HelpModelEvent

    public HelpModelEvent(java.lang.Object source,
                          int pos0,
                          int pos1)

  Creates a HelpModelEvent for highlighting.

Parameters:
  `source` - The source for this event.
  `pos0` - Start position.
  `pos1` - End position.
Throws:
  `java.lang.IllegalArgumentException` - if source is null.

Method Detail

### getID

    public Map.ID getID()

  Returns the current ID in the HelpModel.

  Returns:
    The current ID.

### getURL

    public java.net.URL getURL()

  Returns the current URL in the HelpModel.

  Returns:
    The current URL.

### getHistoryName

    public java.lang.String getHistoryName()

  Returns the name of this entry

  Returns:
    The entry name

### getNavigator

    public JHelpNavigator getNavigator()

  Returns the navigator of this entry

  Returns:
    The navigator name

### getPos0

    public int getPos0()

  Returns:
    The start position of this (highlighting) event.

### getPos1

    public int getPos1()

  Returns:
    The end position of this (highlighting) event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD